#
# spec file for package vimb
#
# Copyright (c) 2020 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           vimb
Version:        3.6.0
Release:        2.10
Summary:        The vim-like browser
License:        GPL-3.0-or-later
Group:          Productivity/Networking/Web/Browsers
URL:            https://fanglingsu.github.io/vimb/
Source:         https://github.com/fanglingsu/vimb/archive/%{version}.tar.gz
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  pkgconfig(webkit2gtk-4.0) >= 2.20

%description
vimb is a WebKit-based web browser that behaves like the vimperator
plugin for Firefox, and has usage paradigms from the editor vim.

%prep
%setup -q

%build
make %{?_smp_mflags} PREFIX=%{_prefix}

%install
%make_install PREFIX=%{_prefix}

%files
%{_bindir}/vimb
%dir %{_prefix}/lib/vimb
%{_prefix}/lib/vimb/webext_main.so
%{_datadir}/applications/vimb.desktop
%{_mandir}/man1/vimb.1%{?ext_man}

%changelog
* Thu Oct  7 2021 Bjørn Lie <bjorn.lie@gmail.com>
- Switch to pkgconfig style BuildRequires, ensure we pull in what
  the package really needs (fixes build in current Factory).
* Fri Jan  3 2020 Michael Vetter <mvetter@suse.com>
- Update to 3.6.0:
  Added:
  * :cleardata [listOfDataTypes] [timeSpan] command to clear various types of
    stored website data modified in the last timeSpan.
  * Setting hint-match-element to allow to disable the hinting to filter hints
    by the elements text content. This is useful if 'hint-keys' are set the
    chars instead of numbers.
  * New autocmd event LoadStarting to run auto commands before the first page
    content is loaded (Thanks to Patrick Steinhardt).
  * Setting geolocation with values ('ask', 'always' and 'never') to allow the
    user to permit or disable geolcation requests by default (Thanks to Alva).
  * Setting dark-mode to switch the webview into dark mode, which might be
    picked up by pages media query to setup dark styling (Thanks to Alva).
  * Option --cmd, -C to run ex commands on startup.
  Removed:
  * :clearcache was removed in favor of more advanced :cleardata command.
    The previous behaviour of :clearcache could be replaces by
    :cleardata memory-cache,disk-cache.
* Fri Aug 23 2019 mvetter@suse.com
- bsc#1146724: Set prefix during build
  So that it looks for webext_main.so at the right location
* Tue Jul 30 2019 mvetter@suse.com
- Update to 3.5.0:
  Added:
  * Add external download command #543 #348.
  * Added ephemeral mode by new option --incognito#562.
  Changed:
  * Hinting shows the current focused elements URI in the statusbar.
  * Show error if printing with :hardcopy fails #564.
  Fixed:
  * Fixed compilation if source is not in a git repo (Thanks to Patrick Steinhardt).
  * Fixed partial hidden hint labels on top of screen.
  * Fix segfault on open in new tabe from context menu #556.
  * Fix "... (null)" shown in title during url sanitization.
  Removed:
  * Setting private-browsing was removed in favor of --incognito option.
- Remove vim-3.4.0-fixbuild.patch: included upstream
* Wed Mar 27 2019 mvetter@suse.com
- Update to 3.4.0:
  Added:
  * Allow to show video in fullscreen, without statusbar and inputbox, if requested.
  * Added option --no-maximize to no start with maximized window #483.
  * New setting prevent-newwindow to enforce opening links into same window
    even if they are crafted by target="_blank" or using window.open(...)#544.
  Changed:
  * Increased min required webkit version to 2.20.x.
  * Use man page date instead of build date to make reproducible builds.
  * URLs shown on statusbar and title are now shown as punicode if they contain
    homographs.
  Fixed:
  * Fix out-of-bounds buffer access in parse_command (Thanks to Sören Tempel) #529.
  * Fixed none shown hint labels by Content-Security-Policy headers #531.
  * Fixed segfault on JavaScript window.close() call #537.
  * Fixed no char inserted in input mode after timeout and imap/inoremap
    candidate #546.
- Add vim-3.4.0-fixbuild.patch: fix non git build
* Wed Feb 13 2019 mvetter@suse.com
- Support parallel builds
* Wed Feb 13 2019 Jan Engelhardt <jengelh@inai.de>
- Trim bias from descriptions.
* Tue Feb 12 2019 mvetter@suse.com
- Initial package vimb 3.3.0 for openSUSE
